Redmine - Patch #9692

Fix Textilized description in PDF for CodeRay
2011-11-29 23:01 - Jun NAITOH

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 1.3.0

Description

If | use CodeRay syntax, so PDF export can't properly line break on trunk (1.3.0).

sample code.
#include <stdio.h>

int main(void) {
printf ("Hello, World!\n");

return O;

}

| fixed this patch.

Associated revisions

Revision 8001 - 2011-11-30 08:59 - Toshi MARUYAMA

pdf: fix textilized outputs of coderay line numbers (#9692)

Contributed by Jun NAITOH.

History

#1 - 2011-11-30 00:06 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

- Target version set to 1.3.0

#2 -2011-11-30 11:34 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r8001 and 1.3-stable r8003, thanks.

Files

tepdf.rb_rg8000.patch 729 Bytes 2011-11-29
coderay_pdf.png 17.8 KB 2011-11-29
coderay_pdf_fix.png 19.3 KB 2011-11-29
